/**
 * Title: ExtensionResume.java
 *
 * @Description:
 * @author wuqingjun
 * @date 2021年12月21日
 * @version 1.0
 */
package cn.timer.api.bean.extension;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.swing.text.html.HTML;
import java.util.Date;



@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "extension_resume")
@ApiModel("简历助手拓展简历")
public class ExtensionResume extends Model<ExtensionResume> {

	private static final long serialVersionUID = 4427752422137750655L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "主键ID")
	private Integer id;

	@ApiModelProperty(value = "年龄")
	private Integer age;
	@ApiModelProperty(value = "头像")
	private String avatar;
	@ApiModelProperty(value = "出生年月")
	private Date birthday;
	@ApiModelProperty(value = "平台简称")
	private String channel;
	@ApiModelProperty(value = "备注")
	private String comment;
	@ApiModelProperty(value = "自行投递简历")
	private String deliver_resume_by_self;
	@ApiModelProperty(value = "学历:1小学,2初中,3高中,4大专,5本科,6硕士,7博士,8职高,9中专,10技校,11其他")
	private Integer education;
	@ApiModelProperty(value = "邮箱")
	private String email;
	@ApiModelProperty(value = "html格式文件")
	private String html_content;
	@ApiModelProperty(value = "html类型")
	private String html_content_type;
	@ApiModelProperty(value = "虚拟手机")
	private Boolean is_virtual_mobile;
	@ApiModelProperty(value = "最近职位")
	private String job_position;
	@ApiModelProperty(value = "职位ID")
	private String job_position_id;
	@ApiModelProperty(value = "最后一家公司")
	private String last_company;
	@ApiModelProperty(value = "最后一家公司职位")
	private String last_job_position;
	@ApiModelProperty(value = "现居住地")
	private String live_place;
	@ApiModelProperty(value = "毕业专业")
	private String major_name;
	@ApiModelProperty(value = "手机号码")
	private String mobile;
	@ApiModelProperty(value = "姓名")
	private String name;
	@ApiModelProperty(value = "")
	private Boolean negotiable;
	@ApiModelProperty(value = "简历来源ID")
	private String resume_origin_id;
	@ApiModelProperty(value = "简历来源url")
	private String resume_origin_url;
	@ApiModelProperty(value = "期望月薪max")
	private Integer salary_max;
	@ApiModelProperty(value = "期望月薪min")
	private Integer salary_min;
	@ApiModelProperty(value = "毕业院校")
	private String school;
	@ApiModelProperty(value = "性别:1男,2女")
	private Integer sex;
	@ApiModelProperty(value = "")
	private String task_id;
	@ApiModelProperty(value = "状态:-1无,30待初筛31初筛通过,32淘汰初筛")
	private Integer to_status;
	@ApiModelProperty(value = "修改时间")
	private Date updateTime;
	@ApiModelProperty(value = "")
	private String work_experience;
	@ApiModelProperty(value = "工作开始时间")
	private Date work_start_dt;
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
}
