package cn.timer.api.bean.insure;

import cn.timer.api.bean.htzz.HtzzAssoZztx;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.mysql.cj.util.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import org.springframework.beans.factory.annotation.Value;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Date;


/**
 * 投保人
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-08 16:05:26
 */
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "insure_applicant")
@ApiModel("投保人")
public class InsureApplicant extends Model<InsureApplicant> {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @GeneratedValue
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "编号")
    private Integer id;
    /**
     * 企业/网点名称
     */
    @ApiModelProperty(value = "企业/网点名称")
    @NotEmpty
    private String applicantEName;
    /**
     * 企业/网点地址
     */
    @ApiModelProperty(value = "企业/网点地址")
    private String applicantEAddress;
    /**
     * 人员清单
     */
    @ApiModelProperty(value = "人员清单")
    private String applicantEmployeeList;
    /**
     * 企业授权操作人姓名
     */
    @ApiModelProperty(value = "企业授权操作人姓名")
    private String applicantEContacts;
    /**
     * 操作人的联系电话
     */
    @ApiModelProperty(value = "操作人的联系电话")
    private String applicantEPhone;
    /**
     * 企业证件类型:3646、统一社会信用代码 3924、组织机构代码
     */
    @ApiModelProperty(value = "企业证件类型")
    private String applicantENoType;
    /**
     * 企业证件号码
     */
    @ApiModelProperty(value = "企业证件号码")
    private String applicantENo;
    /**
     * 企业邮箱
     */
    @ApiModelProperty(value = "企业邮箱")
    private String applicantEMail;
    /**
     * 省市区
     */
    @ApiModelProperty(value = "省市区")
    private String applicantProvinceCity;
    /**
     * 发票收件地址
     */
    @ApiModelProperty(value = "发票收件地址")
    private String applicantInvoiceReceivingAddress;
    /**
     * 发票开票电话
     */
    @ApiModelProperty(value = "发票开票电话")
    private String applicantInvoiceBillingPhone;
    /**
     * 企业开户行名称
     */
    @ApiModelProperty(value = "企业开户行名称")
    private String applicantBusinessBankName;
    /**
     * 保单号
     */
    @ApiModelProperty(value = "保单号")
    private String policyNo;
    /**
     * 投保类型：1个人 2 企业
     */
    @ApiModelProperty(value = "投保类型")
    private String applicantType;
    /**
     * 报价请求流水号
     */
    @ApiModelProperty(value = "报价请求流水号")
    private String transId;
    /**
     * 报价号
     */
    @ApiModelProperty(value = "报价号")
    private String currency;
    /**
     * 发票开票金额
     */
    @ApiModelProperty(value = "发票开票金额")
    private String applicantInvoicedAmount;
    @ApiModelProperty(value = "企业id", example = "")
    private Integer orgCode;
    @ApiModelProperty(value = "银行账号")
    private String applicantCorporateBankAccount;

    /**
     * 设置：id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 设置：企业/网点名称
     */
    public void setApplicantEName(String applicantEName) {
        this.applicantEName = applicantEName;
    }

    /**
     * 获取：企业/网点名称
     */
    public String getApplicantEName() {
        return applicantEName;
    }

    /**
     * 设置：企业/网点地址
     */
    public void setApplicantEAddress(String applicantEAddress) {
        this.applicantEAddress = applicantEAddress;
    }

    /**
     * 获取：企业/网点地址
     */
    public String getApplicantEAddress() {
        return applicantEAddress;
    }

    /**
     * 设置：人员清单
     */
    public void setApplicantEmployeeList(String applicantEmployeeList) {
        this.applicantEmployeeList = applicantEmployeeList;
    }

    /**
     * 获取：人员清单
     */
    public String getApplicantEmployeeList() {
        return applicantEmployeeList;
    }

    /**
     * 设置：企业授权操作人姓名
     */
    public void setApplicantEContacts(String applicantEContacts) {
        this.applicantEContacts = applicantEContacts;
    }

    /**
     * 获取：企业授权操作人姓名
     */
    public String getApplicantEContacts() {
        return applicantEContacts;
    }

    /**
     * 设置：操作人的联系电话
     */
    public void setApplicantEPhone(String applicantEPhone) {
        this.applicantEPhone = applicantEPhone;
    }

    /**
     * 获取：操作人的联系电话
     */
    public String getApplicantEPhone() {
        return applicantEPhone;
    }

    /**
     * 设置：企业证件类型:3646、统一社会信用代码 3924、组织机构代码
     */
    public void setApplicantENoType(String applicantENoType) {
        this.applicantENoType = applicantENoType;
    }

    /**
     * 获取：企业证件类型:3646、统一社会信用代码 3924、组织机构代码
     */
    public String getApplicantENoType() {
        return applicantENoType;
    }

    /**
     * 设置：企业证件号码
     */
    public void setApplicantENo(String applicantENo) {
        this.applicantENo = applicantENo;
    }

    /**
     * 获取：企业证件号码
     */
    public String getApplicantENo() {
        return applicantENo;
    }

    /**
     * 设置：企业邮箱
     */
    public void setApplicantEMail(String applicantEMail) {
        this.applicantEMail = applicantEMail;
    }

    /**
     * 获取：企业邮箱
     */
    public String getApplicantEMail() {
        return applicantEMail;
    }

    /**
     * 设置：省市区
     */
    public void setApplicantProvinceCity(String applicantProvinceCity) {
        this.applicantProvinceCity = applicantProvinceCity;
    }

    /**
     * 获取：省市区
     */
    public String getApplicantProvinceCity() {
        return applicantProvinceCity;
    }

    /**
     * 设置：发票收件地址
     */
    public void setApplicantInvoiceReceivingAddress(String applicantInvoiceReceivingAddress) {
        this.applicantInvoiceReceivingAddress = applicantInvoiceReceivingAddress;
    }

    /**
     * 获取：发票收件地址
     */
    public String getApplicantInvoiceReceivingAddress() {
        return applicantInvoiceReceivingAddress;
    }

    /**
     * 设置：发票开票电话
     */
    public void setApplicantInvoiceBillingPhone(String applicantInvoiceBillingPhone) {
        this.applicantInvoiceBillingPhone = applicantInvoiceBillingPhone;
    }

    /**
     * 获取：发票开票电话
     */
    public String getApplicantInvoiceBillingPhone() {
        return applicantInvoiceBillingPhone;
    }

    /**
     * 设置：企业开户行名称
     */
    public void setApplicantBusinessBankName(String applicantBusinessBankName) {
        this.applicantBusinessBankName = applicantBusinessBankName;
    }

    /**
     * 获取：企业开户行名称
     */
    public String getApplicantBusinessBankName() {
        return applicantBusinessBankName;
    }

    /**
     * 设置：保单号
     */
    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    /**
     * 获取：保单号
     */
    public String getPolicyNo() {
        return policyNo;
    }

    /**
     * 设置：投保类型：1个人 2 企业
     */
    public void setApplicantType(String applicantType) {
        this.applicantType = applicantType;
    }

    /**
     * 获取：投保类型：1个人 2 企业
     */
    public String getApplicantType() {
        return applicantType;
    }

    /**
     * 设置：报价请求流水号
     */
    public void setTransId(String transId) {
        this.transId = transId;
    }

    /**
     * 获取：报价请求流水号
     */
    public String getTransId() {
        return transId;
    }

    /**
     * 设置：报价号
     */
    public void setCurrency(String currency) {
        this.currency = currency;
    }

    /**
     * 获取：报价号
     */
    public String getCurrency() {
        return currency;
    }

    /**
     * 设置：发票开票金额
     */
    public void setApplicantInvoicedAmount(String applicantInvoicedAmount) {
        this.applicantInvoicedAmount = applicantInvoicedAmount;
    }

    /**
     * 获取：发票开票金额
     */
    public String getApplicantInvoicedAmount() {
        return applicantInvoicedAmount;
    }

    public Integer getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(Integer orgCode) {
        this.orgCode = orgCode;
    }

    /*验证必要字段*/
    public String checkValiad() {
        if (StringUtils.isNullOrEmpty(applicantEName)) {
            return "企业/网点名称未设置";
        }
        if (StringUtils.isNullOrEmpty(applicantEAddress)) {
            return "企业/网点地址未设置";
        }
        if (StringUtils.isNullOrEmpty(applicantEContacts)) {
            return "企业授权操作人姓名未设置";
        }
        if (StringUtils.isNullOrEmpty(applicantEPhone)) {
            return "操作人的联系电话未设置";
        }
        if (StringUtils.isNullOrEmpty(applicantENoType)) {
            return "企业证件类型未设置";
        }
        if (StringUtils.isNullOrEmpty(applicantENo)) {
            return "企业证件号码未设置";
        }
        if (StringUtils.isNullOrEmpty(applicantEMail)) {
            return "企业邮箱未设置";
        }
        return "true";
    }
}
