package cn.timer.api.bean.insure;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 *
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-22 09:55:46
 */
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "insure_log")
@ApiModel("投保日志")
public class InsureLog extends Model<InsureLog> {
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 请求路径
	*/
	private String requestPath;
	/**
	* 请求参数
	*/
	private String requestData;
	/**
	* 请求参数
	*/
	private String requestParam;
	/**
	* 请求时间
	*/
	private Date createTime;
	/**
	* 返回时间
	*/
	private Date returnTime;
	/**
	* 返回编码
	*/
	private String returnCode;
	/**
	* 返回参数
	*/
	private String returnBody;
	/**
	* 返回编码文本
	*/
	private String returnMsg;
	/**
	* 请求流水号
	*/
	private String transId;
	/**
	* 类型:1成功 2失败 3等待
	*/
	private Integer type;
	/**
	 * 请求方式1 post 2get 3put
	 */
	private Integer requestType;

	private Integer policyId;


	public String fileUrl;
	private Integer userType;
	private String userName;
	private String companyName;
	private Integer requestResults;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "组管理员id")
	private String policyNo;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：请求路径
	 */
	public void setRequestPath(String requestPath) {
		this.requestPath = requestPath;
	}
	/**
	 * 获取：请求路径
	 */
	public String getRequestPath() {
		return requestPath;
	}
	/**
	 * 设置：请求参数
	 */
	public void setRequestData(String requestData) {
		this.requestData = requestData;
	}
	/**
	 * 获取：请求参数
	 */
	public String getRequestData() {
		return requestData;
	}
	/**
	 * 设置：请求参数
	 */
	public void setRequestParam(String requestParam) {
		this.requestParam = requestParam;
	}
	/**
	 * 获取：请求参数
	 */
	public String getRequestParam() {
		return requestParam;
	}
	/**
	 * 设置：请求时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：请求时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：返回时间
	 */
	public void setReturnTime(Date returnTime) {
		this.returnTime = returnTime;
	}
	/**
	 * 获取：返回时间
	 */
	public Date getReturnTime() {
		return returnTime;
	}
	/**
	 * 设置：返回编码
	 */
	public void setReturnCode(String returnCode) {
		this.returnCode = returnCode;
	}
	/**
	 * 获取：返回编码
	 */
	public String getReturnCode() {
		return returnCode;
	}
	/**
	 * 设置：返回参数
	 */
	public void setReturnBody(String returnBody) {
		this.returnBody = returnBody;
	}
	/**
	 * 获取：返回参数
	 */
	public String getReturnBody() {
		return returnBody;
	}
	/**
	 * 设置：返回编码文本
	 */
	public void setReturnMsg(String returnMsg) {
		this.returnMsg = returnMsg;
	}
	/**
	 * 获取：返回编码文本
	 */
	public String getReturnMsg() {
		return returnMsg;
	}
	/**
	 * 设置：请求流水号
	 */
	public void setTransId(String transId) {
		this.transId = transId;
	}
	/**
	 * 获取：请求流水号
	 */
	public String getTransId() {
		return transId;
	}
	/**
	 * 设置：类型:1成功 2失败 3等待
	 */
	public void setType(Integer type) {
		this.type = type;
	}
	/**
	 * 获取：类型:1成功 2失败 3等待
	 */
	public Integer getType() {
		return type;
	}


}
