package cn.timer.api.bean.insure;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 投保方案
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-09-23 11:53:23
 */
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "insure_plan")
@ApiModel("投保方案")
public class InsurePlan extends Model<InsurePlan> {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	 * 名称
	 */
	private String name;
	/**
	 * id，由保司提供
	 */
	private String planId;
	/**
	 * 类型
	 */
	private String type;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	private Integer deleteFlag;
	/**
	 * 类型名称
	 */
	private String typeName;

}
