package cn.timer.api.bean.insure;

import cn.timer.api.bean.insure.InsureProduct;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;



/**
 * 投保方案中间表
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-09-26 10:06:39
 */
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "insure_product_plan")
@ApiModel("保险方案")
public class InsureProductPlan extends Model<InsureProductPlan> {
	private static final long serialVersionUID = 1L;

	/**
	* id
	*/
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 方案json
	*/
	private String planJson;
	/**
	* 单价
	*/
	private Double price;
	/**
	* insure_product的id
	*/
	private Integer productId;
	/**
	* 创建时间
	*/
	private Date createTime;
	/**
	* 是否删除 1已删除 0未删除
	*/
	private Integer deleteFlag;
	/**
	* 方案组合后的名字
	*/
	private String name;

}
