package cn.timer.api.bean.zpgl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 入职申请材料附件
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-05-12 18:00:06
 */
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zpgl_rcxx_material")
@Data
public class ZpglRcxxMaterial extends Model<ZpglRcxxMaterial> {
	private static final long serialVersionUID = 1L;

	/**
	*
	*/
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 用户user_id
	*/
	private Integer numId;
	/**
	* 路径
	*/
	private String url;
	/**
	* 1身份证正面 2身份证背面 3学历证书 4学位证书 5离职证明 6入职体检报告 7银行卡正面 8银行卡背面
	*/
	private Integer type;
	/**
	* 上传时间
	*/
	private Date createTime;
	/**
	* 企业id
	*/
	private Integer orgCode;

	private Integer zpglRcxxId;

	@Transient
	private List<Map<Integer,String>> dataList;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：用户user_id
	 */
	public void setNumId(Integer numId) {
		this.numId = numId;
	}
	/**
	 * 获取：用户user_id
	 */
	public Integer getNumId() {
		return numId;
	}
	/**
	 * 设置：路径
	 */
	public void setUrl(String url) {
		this.url = url;
	}
	/**
	 * 获取：路径
	 */
	public String getUrl() {
		return url;
	}
	/**
	 * 设置：1身份证正面 2身份证背面 3学历证书 4学位证书 5离职证明 6入职体检报告 7银行卡正面 8银行卡背面
	 */
	public void setType(Integer type) {
		this.type = type;
	}
	/**
	 * 获取：1身份证正面 2身份证背面 3学历证书 4学位证书 5离职证明 6入职体检报告 7银行卡正面 8银行卡背面
	 */
	public Integer getType() {
		return type;
	}
	/**
	 * 设置：上传时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：上传时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：企业id
	 */
	public void setOrgCode(Integer orgCode) {
		this.orgCode = orgCode;
	}
	/**
	 * 获取：企业id
	 */
	public Integer getOrgCode() {
		return orgCode;
	}

}
