package cn.timer.api.config.interceptor;

import javax.annotation.Resource;
import javax.servlet.http.HttpSession;

import cn.timer.api.utils.redis.RedisUtil;
import org.springframework.core.MethodParameter;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.support.WebDataBinderFactory;
import org.springframework.web.context.request.NativeWebRequest;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.method.support.ModelAndViewContainer;

import cn.hutool.core.bean.BeanUtil;
import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.bean.yggl.YgglMainEmp;
import cn.timer.api.config.annotation.CurrentUser;
import cn.timer.api.config.annotation.UserBean;
import cn.timer.api.controller.dzht.cn.tign.hz.constant.CacheKeyConstant;
import cn.timer.api.dto.yggl.UserInfo;

@Component
public class UserMethodArgumentResolver implements HandlerMethodArgumentResolver {

	@Resource
	private HttpSession session;
	@Resource
	private RedisUtil redisUtil;

	public UserMethodArgumentResolver() {
	}

	@Override
	public boolean supportsParameter(MethodParameter parameter) {
		if (parameter.getParameterType().isAssignableFrom(UserBean.class)
				&& parameter.hasParameterAnnotation(CurrentUser.class)) {
			return true;
		}
		return false;
	}

	@Override
	public UserBean resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer,
			NativeWebRequest webRequest, WebDataBinderFactory binderFactory) throws Exception {
		// String webRequestid = webRequest.getSessionId();
		// String sessionid = session.getId();
		
		QyzxEmpLogin eld = BeanUtil.toBean(redisUtil.getAttribute(session.getId(),"ui"), QyzxEmpLogin.class);
		String token = BeanUtil.toBean(session.getAttribute(CacheKeyConstant.TOKEN), String.class);
		System.out.println("token+++++===="+token);
		String refreshToken = BeanUtil.toBean(session.getAttribute(CacheKeyConstant.REFRESH_TOKEN), String.class);
		
		// Object phone = webRequest.getAttribute(currentUserAnnotation.id(),
		// NativeWebRequest.SCOPE_SESSION);
		
		YgglMainEmp mE = eld.getYgglMainEmp();
		UserInfo userInfo = UserInfo.builder().name(mE.getName()).phone(mE.getPhone()).bmgwId(mE.getBmgwId()).build();
		
		return UserBean.builder().token(token).refreshToken(refreshToken).empNum(eld.getId())
				.orgCode(eld.getOrgId()).userInfo(userInfo).qyzxEmpLogin(eld).build();
	}

}
