package cn.timer.api.controller.superadmin;

import cn.timer.api.bean.adminaccount.AdminAccount;
import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.dto.qyzx.EntRegisterDto;
import cn.timer.api.utils.Md5;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import cn.timer.api.utils.UserIp;
import cn.timer.api.utils.redis.RedisConfig;
import cn.timer.api.utils.redis.RedisUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * @Description TODO
 * @Author wgd
 * @Date 2022/3/14 18:14
 */
@RestController
@Api(tags = "33.0运营后台登录")
@Transactional
@RequestMapping(value = "/superLogin", produces = { "application/json" })
public class SuperLoginController {
    @Autowired
    private HttpSession session;
    @Autowired
    private RedisUtil redisUtil;
    @PostMapping(value = "/adminLogin")
    @ApiOperation(value = "运营后台登录", httpMethod = "POST", notes = "接口发布说明")
    public Result<Object> adminLogin(@RequestBody EntRegisterDto entRegisterDto, HttpServletRequest request){
        String ip = UserIp.getIpAddr(request);
        AdminAccount adminAccount = AdminAccount.builder().build().selectOne(new QueryWrapper<AdminAccount>().lambda()
                .eq(AdminAccount::getAccount,entRegisterDto.getPhone())
                .eq(AdminAccount::getPwd,entRegisterDto.getPw()
                ));
        if(adminAccount==null){
            return ResultUtil.error("用户不存在或密码错误");
        }
       // session=request.getSession();
        redisUtil.setAttribute(session.getId(),"ai", adminAccount);
        System.err.println(session.getId());
        return ResultUtil.data(adminAccount);
    };
    @PostMapping(value = "/adminOutLogin")
    @ApiOperation(value = "运营后台退出", httpMethod = "POST", notes = "接口发布说明")
    public Result<String> adminOutLogin(HttpServletRequest request){
        //session= request.getSession();
       // session.removeAttribute("ai");
        redisUtil.del(session.getId());
        return ResultUtil.data("退出成功");
    }
}
