package cn.timer.api.utils;


import lombok.Data;
import org.springframework.stereotype.Service;

import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/13
 * 简历助手前后端交互数据标准
 */
@Service("extensionResult")
@Data
public class ExtensionResult<T> implements Serializable{

    private static final long serialVersionUID = 1L;

    /**
     * 成功标志
     */
    private boolean result;

    /**
     * 消息
     */
    private String msg;

    /**
     * 失败消息
     */
    private String errormsg;

    /**
     * 返回代码
     */
    private Integer resultcode;

    /**
     * 时间戳
     */
    private long timestamp = System.currentTimeMillis();

    /**
     * 结果对象
     */
    private T data;
    
    
}
